UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
417 Views
Registered: ‎10-15-2018

Error building PS-EMIO and other designs in xapp 1082_2017.4 using Vivado 2018.2

Hi,

 

We are using Vivado 2018.2

 

I need to build the PS-EMIO and other designs in xapp1082_2017.4.

 

When I run the Tcl command i get two errors -


ERROR: [BD_TCL-109] This script was generated using Vivado <2017.4> and is being run in <2018.2> of Vivado. Please run the script in Vivado <2017.4> then open the design in Vivado <2018.2>. Upgrade the design by running "Tools => Report => Report IP Status...", then run write_bd_tcl to create an updated script.
WARNING: [Vivado 12-818] No files matched '../../runs_ps_emio_sgmii/ps_emio_sfp.srcs/sources_1/bd/design_ps_emio/design_ps_emio.bd'
# make_wrapper -files [get_files ../../${proj_dir}/ps_emio_sfp.srcs/sources_1/bd/design_ps_emio/design_ps_emio.bd] -top
# import_files -force -norecurse ../../${proj_dir}/ps_emio_sfp.srcs/sources_1/bd/design_ps_emio/hdl/design_ps_emio_wrapper.v
ERROR: [Vivado 12-172] File or Directory '../../runs_ps_emio_sgmii/ps_emio_sfp.srcs/sources_1/bd/design_ps_emio/hdl/design_ps_emio_wrapper.v' does not exist

 

Can anyone help with step by step procedure to do this if possible w/o having Vivado 2017.4 - using Vivado 2018.2 ?

 

Thanks and sincerely

Bhawandeep Singh

Tags (4)
0 Kudos
2 Replies
Moderator
Moderator
370 Views
Registered: ‎11-09-2017

Re: Error building PS-EMIO and other designs in xapp 1082_2017.4 using Vivado 2018.2

Hi

 

XAPP1082 scripts generated in vivado 2017.4 so first create project in vivado 2017.4 and source the scripts files, then open the same project in vivado 2018.2 and upgarde the design(Tools => Report => Report IP Status).

 

Then you can add the PS-EMIO to the upgraded design.

 

Regards
Pratap

Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful.
0 Kudos
358 Views
Registered: ‎10-15-2018

Re: Error building PS-EMIO and other designs in xapp 1082_2017.4 using Vivado 2018.2

w/o having Vivado 2017.4 - using Vivado 2018.2 please ?

Is there a setting/switch to work with newer versions ?

Or any other way ?

 

Thanks and sincerely

Bhawandeep Singh

0 Kudos